=== debian/changelog ===
xwpe (1.5.30a-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:24 +1100

xwpe (1.5.30a-4) unstable; urgency=medium

  * Added a new patch missing_protos for a few implicit internal declarations.
    (closes: #1066254)
  * Policy bumped to 4.6.2.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 23 Mar 2024 16:41:41 +0100

xwpe (1.5.30a-3) unstable; urgency=medium

  * Package revamped with debhelper 13 and policy 4.5.1.
  * Now d/rules uses dh targets extensively.
  * Patched revised to remove dpatch scent.
  * Added one more patch to cope with -Werror=format-security.
  * d/copyright reformatted in machine-readable format.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Jan 2021 18:20:36 +0100

xwpe (1.5.30a-2.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete x-dev t o x11proto-core-dev.
      (important; Closes: #579037).
      Update to debhelper 7.1. Remove dpatch.
    - (Homepage): Add new field.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Point to GPL-2.
  * debian/menu
    - Add missing double quotes to values.
    - Update obsolete "Apps/" to "Applications/".
  * debian/README.Debian
    - Fix spelling.
  * debian/rules
    - Remoeve dpatch; obsoleted by new packaging format.
  * debian/source/format
    - New file.
  * debian/watch
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 02:49:50 +0300

xwpe (1.5.30a-2) unstable; urgency=high

  * Forcing NCURSES definition due to a configuration bug which rendered the
    ncurses based wpe unusable. Urgency due to importance of the issue for
    general use. Thanks dulsi@identicalsoftware.com.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Nov 2006 17:22:29 +0100

xwpe (1.5.30a-1) unstable; urgency=medium

  * New upstream version with a few minor fixes.
  * Policy bumped to 3.7.2 without changes.
  * Moved to DH compat 5, using a debian/compat file.
  * Now excluding gpm support for GNU/kFreeBSD and Hurd.
    (closes: #375423)
  * Updated copyright file.
  * Added a README.Debian file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  2 Nov 2006 15:25:04 +0100

xwpe (1.5.29a-5) unstable; urgency=high

  * Changing tmp destdir to xwpe for dhelper compatibility.
    That caused missing binaries in -4 :-(

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Feb 2006 12:36:16 +0100

xwpe (1.5.29a-4) unstable; urgency=low

  * Policy changed to 3.6.2 (no changes)
  * Compatibility level set to 4 for debhelper. Added ${misc:Depends}.
  * Removed xlibs-dev dependency and changed in xorg deps.
    (closes: #346860)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Jan 2006 10:56:58 +0100

xwpe (1.5.29a-3) unstable; urgency=low

  * Added dpatch support.
  * Policy bumped to 3.6.1, without changes.
  * Added patch:
  	tparm_proto.dpatch
    (closes: #264169)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 19 Aug 2004 16:25:08 +0200

xwpe (1.5.29a-2) unstable; urgency=low

  * Added gdb as a suggested pkg.
    (closes: #155339)
  * Policy version updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Oct 2002 16:05:36 +0200

xwpe (1.5.29a-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  7 Oct 2002 11:43:15 +0200

xwpe (1.5.26a-4) unstable; urgency=low

  * New maintainer.
    (closes: #85054)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Jan 2002 14:04:06 +0100

xwpe (1.5.26a-3) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 14:42:34 +0100

xwpe (1.5.26a-2) unstable; urgency=low

  * New maintainer. (closes: #68097)

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  4 Feb 2001 12:04:17 +0100

xwpe (1.5.26a-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Thu,  4 Jan 2001 16:44:04 +0100

xwpe (1.5.25a-1) unstable; urgency=low

  * New upstream version.
  * Applied the WpeGetCurrentDir patch.
  * debian/control: Forgot to add xlibs-dev to build dependancies.
  * Conforms to Standards version 3.2.1:
    * debian/rules: Supports `debug' and `nostrip' build options.

 -- Matej Vela <vela@debian.org>  Mon, 18 Dec 2000 04:31:46 +0100

xwpe (1.5.23a-2) unstable; urgency=low

  * Fix buffer overflow handling MANPATH (closes: #68433).

 -- Mark Brown <broonie@debian.org>  Sun, 22 Oct 2000 15:14:20 +0100

xwpe (1.5.23a-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Updated build dependancies.

 -- Matej Vela <vela@debian.org>  Tue, 11 Apr 2000 06:38:10 +0200

xwpe (1.5.22a-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.1.1.

 -- Matej Vela <vela@debian.org>  Mon, 27 Dec 1999 17:43:00 +0100

xwpe (1.5.21a-1) unstable; urgency=low

  * New upstream version.
  * Since convertrc is gone:
    * Removed debian/README.Debian.
    * debian/rules:
      * Code for handling convertrc removed.
      * Calling ./configure with `--libdir=/usr/share' because
        everything in @libdir@/xwpe is architecture-independant now.
  * Conforms to Standards version 3.1.0:
    * debian/control: Added build dependancies, making config.cache
      checks in debian/rules unnecessary.

 -- Matej Vela <vela@debian.org>  Fri, 19 Nov 1999 06:25:45 +0100

xwpe (1.5.20a-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    * Calling ./configure with `--mandir=...' for FHS compliance.
    * Aborting if libgpm isn't found by ./configure, to prevent
      auto-builders from not including the (optional) GPM support.
    * Removed dh_installmanpages since the Makefile takes care of it.
  * Makefile.in (forwarded upstream):

