=== debian/control ===
Source: xwpe
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (=13)
 ,libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 ,libncurses5-dev | libncurses-dev
 ,libx11-dev
 ,x11proto-core-dev,
 zlib1g-dev | libz-dev
Homepage: http://www.identicalsoftware.com/xwpe

Package: xwpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdb
Description: Programming environment and editor for console and X11
 Xwpe is an integrated programming and debugging environment similar to
 Borland's Turbo C and Pascal family. It has many features including
 the ability to start many compilers, linkers and debuggers from a
 menu-based interface or using keystrokes.
 .
 Syntax highlighting is included for many programming languages, and
 any compiler and debugger can easily be used by the program. When
 compiling from within xwpe, errors in the source code can be jumped to
 and swiftly corrected. Variables and the stack can be easily displayed.
 Setting and unsetting breakpoints can be done directly within the
 source code.
 .
 Although it is designed to be a tool for programmers (when invoked as
 wpe or xwpe), it can also be used as an easy to learn text editor
 (when invoked as program 'we' or 'xwe').
