=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND=-DNCURSES

# This is introduced to support cross-building
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_update_autotools_config
	PRNTCMD=lpr $(CURDIR)/configure --prefix=/usr --libdir='$${prefix}/share' --mandir='$${prefix}/share/man' \
			--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/xwpe/usr/bin prefix=$(CURDIR)/debian/xwpe/usr
